Summary: The f2c Fortran to C/C++ conversion program and static libraries.
Name: f2c
Version: 19991109
Release: 2
Copyright: Distributable
Group: Development/Languages
Source: f2c-19991109.tar.gz
Patch0: f2c-19991109.patch
URL: ftp://netlib.bell-labs.com/netlib/f2c/
Buildroot: /var/tmp/f2c-root
Obsoletes: f2c-libs

%description
F2c converts Fortran 77 source code to C or C++ source files. If no
Fortran files are named on the command line, f2c can read Fortran from
standard input and write C to standard output.

%prep
%setup -q
%patch0 -p1  -b .tim

%build
%ifarch axp
MFLAG=-mieee
%endif

mkdir -p $RPM_BUILD_DIR/f2c-%{version}/libf2c/PIC

cp libf2c/makefile.u libf2c/Makefile
make -C src RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MFLAG="$MFLAG" f2c
make -C libf2c RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MFLAG="$MFLAG" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin,man/man1}
install -m 644 libf2c/libf2c.a $RPM_BUILD_ROOT/usr/lib
install -m 644 f2c.h $RPM_BUILD_ROOT/usr/include
install -s -m 755 src/f2c $RPM_BUILD_ROOT/usr/bin/f2c
install -m 644 src/f2c.1t $RPM_BUILD_ROOT/usr/man/man1/f2c.1
install -m 755 libf2c/libf2c.so.0.22 $RPM_BUILD_ROOT/usr/lib
ln -sf libf2c.so.0.22 $RPM_BUILD_ROOT/usr/lib/libf2c.so
 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc f2c.ps readme permission disclaimer changes src/Notice src/README
/usr/lib/*
/usr/include/*
/usr/bin/*
/usr/man/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- fixed so that man pages are gzip'ed

* Tue Nov 9 1999 Tim Powers <timp@redhat.com>
- updated source to 19991109
- quiet setup

* Wed Jul 28 1999 Tim Powers <timp@redhat.com>
- updated source to 19990728
- updated patch
- added %defattr
- moved changleg to bottom of spec
- built for 6.1

* Tue Apr 27 1999 Bill Nottingham <notting@redhat.com>
- build for powertools

* Tue Mar 30 1999 Alexander L. Belikoff <abel@bfr.co.il>

- upgraded to version 19990326
- adjusted the types in f2c.h for the Alpha
- f2c source is packaged as a .tar.gz file and libf2c inside is already
  extracted - this makes building patches much easier.

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed Oct 29 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to version 19970805
- added buildroot; removed libs subpackage and made it obsoleted

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed axp tag to alpha

* Fri Apr 11 1997 Michael Fulbright <msf@redhat.com>
- Fixed man page and made it install the troff version in correct place.
- Removed checksum calculation on sources, otherwise we cant patch source!
